Package wx :: Module richtext :: Class RichTextCompositeObject

[frames | no frames]

## Type RichTextCompositeObject

    object --+
             |
        Object --+
                 |
    RichTextObject --+
                     |
                    RichTextCompositeObject

Known Subclasses:
  `RichTextBox`

Objects of this class can contain other rich text objects.

Method Summary
| `__init__(self)`
| `__del__(self)`
size_t | `AppendChild(self, child)`
| `Copy(self, obj)`
bool | `Defragment(self)`
bool | `DeleteChildren(self)`
RichTextObject | `GetChild(self, n)`
size_t | `GetChildCount(self)`
RichTextObjectList | `GetChildren(self)`
bool | `InsertChild(self, child, inFrontOf)`
| `RemoveChild(self, child, deleteChild)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

  Get Method:
    unknown-38351768(...)
  Set Method:
    unknown-38351888(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:43 2007 | http://epydoc.sf.net